/**
 * output package name
 */
package com.kingdee.eas.custom.notify.bziEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.IntEnum;

/**
 * output class name
 */
public class SendTypeEnum extends IntEnum
{
    public static final int APPROVAL_VALUE = 1;//alias=审批类待办
    public static final int NOTIFICATION_VALUE = 2;//alias=通知类待办

    public static final SendTypeEnum approval = new SendTypeEnum("approval", APPROVAL_VALUE);
    public static final SendTypeEnum notification = new SendTypeEnum("notification", NOTIFICATION_VALUE);

    /**
     * construct function
     * @param integer sendTypeEnum
     */
    private SendTypeEnum(String name, int sendTypeEnum)
    {
        super(name, sendTypeEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static SendTypeEnum getEnum(String sendTypeEnum)
    {
        return (SendTypeEnum)getEnum(SendTypeEnum.class, sendTypeEnum);
    }

    /**
     * getEnum function
     * @param String arguments
     */
    public static SendTypeEnum getEnum(int sendTypeEnum)
    {
        return (SendTypeEnum)getEnum(SendTypeEnum.class, sendTypeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(SendTypeEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(SendTypeEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(SendTypeEnum.class);
    }
}